module PersonalJournal
  class Engine < Rails::Engine
  	initializer "personal_journal" do
  		OrbitApp.registration "PersonalJournal",:type=> 'ModuleApp' do
			module_label 'module_name.personal_journal'
			base_url File.expand_path File.dirname(__FILE__)  
			personal_plugin :enable => true, :sort_number => '5', :app_name=>"WritingJournal", :intro_app_name=>"PersonalJournalIntro",:path=>"panel/personal_journal/plugin/profile",:front_path=>"panel/personal_journal/front_end/profile",:admin_path=>"/panel/personal_journal/back_end/writing_journals",:i18n=>'module_name.personal_journal'

			version "0.1"
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

			front_end do
			  app_page 'writing_journals' do 
			    frontend_i18n "personal_journal.frontend.writing_journals"
			  end
			end
		end
  	end
  end
end
